/*    
	This file is part of Moose.

    Moose is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as 
    published by the Free Software Foundation, either version 3 of 
    the License, or (at your option) any later version.

    Moose is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public 
    License along with Moose.  If not, see <http://www.gnu.org/licenses/>.
*/

package com.quigley.moose.handler;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class BaseTypeHandlerCollection implements TypeHandlerCollection {
	public Map<Class<?>, TypeHandler> getTypeHandlers() {
		Map<Class<?>, TypeHandler> handlerMap = new HashMap<Class<?>, TypeHandler>();
		
		handlerMap.put(Boolean.class, new BooleanHandler());
		handlerMap.put(boolean.class, new BooleanHandler());
		
		handlerMap.put(Byte.class, new ByteHandler());
		handlerMap.put(byte.class, new ByteHandler());
		
		handlerMap.put(Character.class, new CharacterHandler());
		handlerMap.put(char.class, new CharacterHandler());
		
		handlerMap.put(Date.class, new DateHandler());
		
		handlerMap.put(Double.class, new DoubleHandler());
		handlerMap.put(double.class, new DoubleHandler());
		
		handlerMap.put(Float.class, new FloatHandler());
		handlerMap.put(float.class, new FloatHandler());
		
		handlerMap.put(Integer.class, new IntegerHandler());
		handlerMap.put(int.class, new IntegerHandler());
		
		handlerMap.put(Long.class, new LongHandler());
		handlerMap.put(long.class, new LongHandler());
		
		handlerMap.put(Short.class, new ShortHandler());
		handlerMap.put(short.class, new ShortHandler());

		handlerMap.put(String.class, new StringHandler());
		
		return handlerMap;
	}
}