/*    
	This file is part of Moose.

    Moose is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as 
    published by the Free Software Foundation, either version 3 of 
    the License, or (at your option) any later version.

    Moose is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public 
    License along with Moose.  If not, see <http://www.gnu.org/licenses/>.
*/

package com.quigley.moose.mapping.naming;

public class DefaultMappingNameGenerator implements MappingNameGenerator {
	public String classToXml(Class<?> clazz) {
		String className = isolateClassName(clazz);
		StringBuilder out = new StringBuilder();
		out.append(className.charAt(0));
		for(int i = 1; i < className.length(); i++) {
			if(Character.isUpperCase(className.charAt(i))) {
				out.append('-');
			}
			out.append(className.charAt(i));
		}
		return out.toString().toLowerCase();
	}

	protected String isolateClassName(Class<?> clazz) {
		String className = clazz.getName();
		if(className.indexOf('.') != -1) {
			className = className.substring(className.lastIndexOf('.') + 1, className.length());
		}
		return className;		
	}
}