/*    
	This file is part of Moose.

    Moose is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as 
    published by the Free Software Foundation, either version 3 of 
    the License, or (at your option) any later version.

    Moose is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public 
    License along with Moose.  If not, see <http://www.gnu.org/licenses/>.
*/

package com.quigley.moose.schema.naming;

public class DefaultSchemaNameGenerator implements SchemaNameGenerator {
	public String xmlNameToTypeName(String xmlName) {
		return xmlName + "-type";
	}

	public String typeNameToXmlName(String typeName) {
		String elementName = typeName;
		if(elementName.indexOf("-type") != -1) {
			elementName = elementName.substring(0, elementName.lastIndexOf("-type"));
		}
		return elementName;
	}

	public String xmlNameToListTypeName(String xmlName) {
		return xmlName + "-list-type";
	}

	public String xmlNameToMapEntryTypeName(String xmlName) {
		return xmlName + "-map-entry-type";
	}

	public String xmlNameToMapPairTypeName(String xmlName) {
		return xmlName + "-map-pair-type";
	}
}